1

Can you install a program made for Debian 7 on Debian 8?

Specifically I need Skype, but it only has support for Debian 7; could I install that? I know it's preferable to use Linux- and community-supported programs, but need it to communicate with people that don't use Linux based programs.

4

There's no general answer; in many cases programs made for Debian 7 will work for Debian 8, although you'll often need to install supporting packages from Debian 7.

In Skype's case, you should install the Skype alpha anyway if the people you want to communicate with are using Skype on Windows or macOS, since the old Linux client can no longer communicate with current versions of Skype on these platforms. The Skype alpha is available for Debian 8; simply download the .deb and install it using gdebi:

sudo apt-get update
sudo apt-get install gdebi
sudo gdebi skypeforlinux-64-alpha.deb

You'll find detailed instructions regarding all versions of Skype on Debian 7, 8 and 9 on the Debian wiki.

| improve this answer | |
0

To open Skype you should to do following:

$ sudo apt install snapd
$ sudo snap install skype --classic
# wget https://go.skype.com/skypeforlinux-64.deb
| improve this answer | |
  • This answer would be better if it included some explanation of what the commands do, e.g., a brief explanation of snap. – Anthony Geoghegan Apr 27 '18 at 11:42
  • i will definitely keep in find next time whenever i will put something – Aman Shukla Apr 28 '18 at 4:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.